<?php

/**
 * @file
 * Provides a default Calendar view.
 */

/**
 * Implements hook_views_default_views().
 */
function ucbevents_views_default_views() {
  $views = array();
  if (module_exists('date_api') && module_exists('calendar')) {
    $view = new view;
    $view->name = 'ucbevents';
    $view->description = 'A multi-dimensional calendar view with back/next navigation.';
    $view->tag = 'UCB Events Calendar';
    $view->view_php = '';
    $view->base_table = 'ucbevents_event';
    $view->is_cacheable = FALSE;
    $view->api_version = 2;
    $view->disabled = TRUE;
    $handler = $view->new_display('default', 'Defaults', 'default');
    $handler->override_option('fields', array(
      'title' => array(
        'label' => '',
        'display_as_link' => 1,
        'exclude' => 0,
        'id' => 'title',
        'table' => 'ucbevents_event',
        'field' => 'title',
        'relationship' => 'none',
      ),
      'start_time' => array(
        'label' => '',
        'exclude' => 1,
        'id' => 'start_time',
        'table' => 'ucbevents_event',
        'field' => 'start_time',
        'relationship' => 'none',
        'date_format' => 'custom',
        'custom_date_format' => 'g:i',
      ),
      'end_time' => array(
        'label' => '',
        'exclude' => 0,
        'id' => 'end_time',
        'table' => 'ucbevents_event',
        'field' => 'end_time',
        'relationship' => 'none',
        'date_format' => 'custom',
        'custom_date_format' => 'g:ia',
        'alter' => array(
          'alter_text' => 1,
          'text' => '[start_time]-[end_time]',
        ),
      ),
    ));
    $handler->override_option('sorts', array(
      'start_time' => array(
        'order' => 'ASC',
        'delta' => '-1',
        'id' => 'start_time',
        'table' => 'ucbevents_event',
        'field' => 'start_time',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('arguments', array(
      'date_argument' => array(
        'default_action' => 'default',
        'style_plugin' => 'default_summary',
        'style_options' => array(),
        'wildcard' => 'all',
        'wildcard_substitution' => 'All',
        'title' => '',
        'default_argument_type' => 'date',
        'default_argument' => '',
        'validate_type' => 'none',
        'validate_fail' => 'not found',
        'date_fields' => array(
          'ucbevents_event.start_time' => 'ucbevents_event.start_time',
        ),
        'year_range' => '-3:+3',
        'date_method' => 'OR',
        'granularity' => 'month',
        'id' => 'date_argument',
        'table' => 'ucbevents_event',
        'field' => 'date_argument',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('filters', array(
      'status' => array(
        'operator' => '=',
        'value' => 1,
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'id' => 'status',
        'table' => 'ucbevents_event',
        'field' => 'status',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('access', array(
      'type' => 'none',
      'role' => array(),
      'perm' => '',
    ));
    $handler->override_option('cache', array(
      'type' => 'none',
    ));
    $handler->override_option('title', 'Calendar');
    $handler->override_option('header_empty', 1);
    $handler->override_option('items_per_page', 0);
    $handler->override_option('use_more', 0);
    $handler->override_option('style_plugin', 'calendar_nav');
    $handler = $view->new_display('calendar', 'Calendar page', 'calendar_1');
    $handler->override_option('row_plugin', '');
    $handler->override_option('row_options', NULL);
    $handler->override_option('path', 'events');
    $handler->override_option('menu', array(
      'type' => 'none',
      'title' => '',
      'description' => '',
      'weight' => 0,
      'name' => 'navigation',
    ));
    $handler->override_option('tab_options', array(
      'type' => 'none',
      'title' => '',
      'description' => '',
      'weight' => 0,
      'name' => 'navigation',
    ));
    $handler->override_option('calendar_colors', array(
      '0' => array(),
    ));
    $handler->override_option('calendar_colors_vocabulary', array());
    $handler->override_option('calendar_colors_taxonomy', array());
    $handler->override_option('calendar_colors_group', array());
    $handler->override_option('calendar_popup', 0);
    $handler->override_option('calendar_date_link', '');
    $handler = $view->new_display('calendar_block', 'Calendar block', 'calendar_block_1');
    $handler->override_option('row_plugin', '');
    $handler->override_option('row_options', NULL);
    $handler->override_option('block_description', 'Calendar');
    $handler->override_option('block_caching', -1);
    $handler = $view->new_display('calendar_period', 'Year view', 'calendar_period_1');
    $handler->override_option('style_plugin', 'calendar_style');
    $handler->override_option('style_options', array(
      'display_type' => 'year',
      'name_size' => 1,
      'max_items' => 0,
    ));
    $handler->override_option('attachment_position', 'after');
    $handler->override_option('inherit_arguments', TRUE);
    $handler->override_option('inherit_exposed_filters', TRUE);
    $handler->override_option('inherit_pager', FALSE);
    $handler->override_option('render_pager', TRUE);
    $handler->override_option('displays', array(
      'calendar_1' => 'calendar_1',
      'default' => 0,
      'calendar_block_1' => 0,
    ));
    $handler->override_option('calendar_type', 'year');
    $handler = $view->new_display('calendar_period', 'Month view', 'calendar_period_2');
    $handler->override_option('style_plugin', 'calendar_style');
    $handler->override_option('style_options', array(
      'display_type' => 'month',
      'name_size' => '99',
      'with_weekno' => '1',
      'date_fields' => NULL,
      'max_items' => 0,
    ));
    $handler->override_option('attachment_position', 'after');
    $handler->override_option('inherit_arguments', TRUE);
    $handler->override_option('inherit_exposed_filters', TRUE);
    $handler->override_option('inherit_pager', FALSE);
    $handler->override_option('render_pager', TRUE);
    $handler->override_option('displays', array(
      'calendar_1' => 'calendar_1',
      'default' => 0,
      'calendar_block_1' => 0,
    ));
    $handler->override_option('calendar_type', 'month');
    $handler = $view->new_display('calendar_period', 'Day view', 'calendar_period_3');
    $handler->override_option('style_plugin', 'calendar_style');
    $handler->override_option('style_options', array(
      'name_size' => '99',
      'with_weekno' => 0,
      'max_items' => 0,
      'max_items_behavior' => 'more',
      'groupby_times' => 'hour',
      'groupby_times_custom' => '',
      'groupby_field' => '',
    ));
    $handler->override_option('attachment_position', 'after');
    $handler->override_option('inherit_arguments', TRUE);
    $handler->override_option('inherit_exposed_filters', TRUE);
    $handler->override_option('inherit_pager', FALSE);
    $handler->override_option('render_pager', TRUE);
    $handler->override_option('displays', array(
      'calendar_1' => 'calendar_1',
      'default' => 0,
      'calendar_block_1' => 0,
    ));
    $handler->override_option('calendar_type', 'day');
    $handler = $view->new_display('calendar_period', 'Week view', 'calendar_period_4');
    $handler->override_option('style_plugin', 'calendar_style');
    $handler->override_option('style_options', array(
      'name_size' => '99',
      'with_weekno' => 0,
      'max_items' => 0,
      'max_items_behavior' => 'more',
      'groupby_times' => 'hour',
      'groupby_times_custom' => '',
      'groupby_field' => '',
    ));
    $handler->override_option('attachment_position', 'after');
    $handler->override_option('inherit_arguments', TRUE);
    $handler->override_option('inherit_exposed_filters', TRUE);
    $handler->override_option('inherit_pager', FALSE);
    $handler->override_option('render_pager', TRUE);
    $handler->override_option('displays', array(
      'calendar_1' => 'calendar_1',
      'default' => 0,
      'calendar_block_1' => 0,
    ));
    $handler->override_option('calendar_type', 'week');
    $handler = $view->new_display('calendar_period', 'Block view', 'calendar_period_5');
    $handler->override_option('style_plugin', 'calendar_style');
    $handler->override_option('style_options', array(
      'display_type' => 'month',
      'name_size' => '1',
    ));
    $handler->override_option('attachment_position', 'after');
    $handler->override_option('inherit_arguments', TRUE);
    $handler->override_option('inherit_exposed_filters', TRUE);
    $handler->override_option('inherit_pager', FALSE);
    $handler->override_option('render_pager', TRUE);
    $handler->override_option('displays', array(
      'calendar_1' => 0,
      'default' => 0,
      'calendar_block_1' => 'calendar_block_1',
    ));
    $handler->override_option('calendar_type', 'month');
    $handler = $view->new_display('block', 'Upcoming', 'block_1');
    $handler->override_option('fields', array(
      'title' => array(
        'label' => '',
        'link_to_node' => 1,
        'exclude' => 0,
        'id' => 'title',
        'field' => 'title',
        'table' => 'ucbevents_event',
        'relationship' => 'none',
        'format' => 'default',
      ),
      'start_time' => array(
        'label' => '',
        'link_to_node' => 0,
        'exclude' => 0,
        'id' => 'start_time',
        'field' => 'start_time',
        'table' => 'ucbevents_event',
        'relationship' => 'none',
        'date_format' => 'small',
        'format' => 'default',
      ),
    ));
    $handler->override_option('arguments', array());
    $handler->override_option('filters', array(
      'status' => array(
        'operator' => '=',
        'value' => 1,
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'id' => 'status',
        'table' => 'ucbevents_event',
        'field' => 'status',
        'relationship' => 'none',
      ),
      'date_filter' => array(
        'operator' => '>=',
        'value' => array(
          'value' => NULL,
          'min' => NULL,
          'max' => NULL,
          'default_date' => 'now',
          'default_to_date' => '',
        ),
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'date_fields' => array(
          'ucbevents_event.start_time' => 'ucbevents_event.start_time',
        ),
        'granularity' => 'day',
        'form_type' => 'date_select',
        'default_date' => 'now',
        'default_to_date' => '',
        'id' => 'date_filter',
        'table' => 'ucbevents_event',
        'field' => 'date_filter',
        'override' => array(
          'button' => 'Use default',
        ),
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('title', 'Upcoming');
    $handler->override_option('items_per_page', 5);
    $handler->override_option('use_more', 1);
    $handler->override_option('style_plugin', 'list');
    $handler->override_option('style_options', array(
      'grouping' => '',
      'type' => 'ul',
    ));
    $handler->override_option('block_description', 'Upcoming');
    $handler->override_option('block_caching', -1);

    $views[$view->name] = $view;
  }
  return $views;
}
